import { ref } from "vue";
import { useMainStore } from "@/store";
import { omit } from "lodash-es";
import { menuList } from "@/constants/menu";
import type { MenuItem } from "@/constants/menu";

export default function useAuth(role) {
  const store = useMainStore();
  const menus = ref<MenuItem[]>([]);

  console.log(role);

  const updateMenus = () => {
    menus.value = menuList
      .filter((item) => item.privileges.includes(role))
      .map((item) => omit(item, ["privileges"]));
  };
  updateMenus();

  return {
    menus,
    updateMenus,
  };
}
